<?
require("../conectar.php");
set_time_limit (12000000);
function checar($arreglo,$anun,$salir)
{
$top=count($arreglo);
if($top>0)
{
$html=file_get_contents($anun);
$htmls=strtoupper($html);
for($x=0;$x<$top;$x++)
	{
		$arr=strtoupper($arreglo["$x"]);
		$resultado=strpos($htmls,$arr);
		if($resultado!=FALSE)
			{
			echo"lo encontro";
   	 		$x=$top;
   	 		$ban="entro";
			}
		else{
		echo"<br>no encontro $arreglo[$x]<br>";
		$salir=0;}	
	}
	if($ban=="entro")
		{
		$salir=1;
		$ban=0;
		}
	else{ $salir=0;}
	
}
return($salir);	
}
function existe($url) {
	    $ch = @curl_init($url);
	    @curl_setopt($ch, CURLOPT_HEADER, TRUE);
	    @curl_setopt($ch, CURLOPT_NOBODY, TRUE);
	    @curl_setopt($ch, CURLOPT_FOLLOWLOCATION, FALSE);
	    @curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
	    $status = array();
	    preg_match('/HTTP\/.* ([0-9]+) .*/', @curl_exec($ch) , $status);
	    return ($status[1] == 200);
	}
$id_empleado=$_GET["id"];
$empleados="SELECT a_pat,a_mat,nombre, id_empleado,email2 from empleados WHERE id_empleado='$id_empleado' ";
$emple=mysql_query($empleados);		
$emp=mysql_fetch_array($emple);

$id=$emp["id_empleado"];
$fecha=$_GET["fecha"];
echo$consulta="SELECT dep.no_depto a.id_anuncio, a.idioma, a.anuncio, com.nombre, dep.clave, dir.descripcion as pagina From anuncios as a INNER JOIN complejo as com ON com.id_complejo=a.propiedad INNER JOIN departamentos as dep ON dep.id_departamento=a.departamento INNER JOIN directorios as dir ON dir.id=a.sitio_web  WHERE a.status='2' and a.fecha_ingreso>'$fecha' and a.id_empleado='$id'";
$consul=mysql_query($consulta);
while($con=mysql_fetch_array($consul))
	{	
	$idanu=$con["id_anuncio"];	
	echo"<br>".$anun=$con["anuncio"];
	//if(existe($anun)||$resultado=stripos($anun,"ibazar"))
	{    
		$nombre=array("$emp[nombre]","$emp[a_pat]","$emp[a_mat]");
		$salir=checar($nombre,$anun,$salir);
		if($salir!=1){$ultimo="El anuncio tiene mal el nombre de ejecutivo"; }
		
		if($salir==1)
		{
		$telefono=array();
		$salir=checar($telefono,$anun,$salir);
		if($salir!=1){$ultimo="El anuncio tiene mal el telefono"; }
		}
		if($salir==1)
		{
		$correo=array("$emp[email2]");
		$salir=checar($correo,$anun,$salir);
		if($salir!=1){ $ultimo="El anuncio tiene mal el correo";}
		
		}
		if($salir==1)
		{
		$propiedad=array("$con[nombre]");		
		$salir=checar($propiedad,$anun,$salir);
		if($salir!=1){$ultimo="El anuncio tiene mal el nombre de la propiedad"; }
		}
		if($salir==1)
		{
		$departamento=array("$con[clave]","$con[no_depto]");
		$salir=checar($departamento,$anun,$salir);
		if($salir!=1){$ultimo="El anuncio tiene mal el nombre del departamento"; }
		}
		if($salir==1)
		{
		$pagina=array("$con[pagina]");
		$salir=checar($pagina,$anun,$salir);
		if($salir!=1){$ultimo="El anuncio no coincide con la pagina de anuncio"; }
		}
		//comprobar si el idioma es ingles
		if($salir==1)
		{
		if($con["idioma"]==2)
		{
		$idioma=array("the","and","beautiful","in");
		$salir=checar($idioma,$anun,$salir);
		}
		if($salir!=1){$ultimo="El anuncio no esta en ingles"; }
		}
		
	
	if($salir==1)
	{	
	echo"<br>salir es $salir ulyimo es $ultimo<br>";
	$sql4="UPDATE anuncios set status='1' where id_anuncio='$idanu'";
	$salir=0;
	mysql_query($sql4);
	}

	else {  
	$sql4="UPDATE anuncios set status='2',motivo='$ultimo' where id_anuncio='$idanu'";
	mysql_query($sql4);
	}
		?><body>
		<script>
		</script>
	<?
	
	}
	//else
	{  $sql4="UPDATE anuncios set status='2',motivo='El link esta roto' where id_anuncio='$idanu'";
	//mysql_query($sql4);
	}
	}
	?>